import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

//用户修改头像接口
export const systemMineUserEdit = (data) => {
	return apiResquest({
		url: `/system/mine/user/edit`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-列表
export const systemMineWarningNoticeList = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeList`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-非预案详情
export const systemMineWarningNoticeDetail = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeDetail`,
		method: 'get',
		data: { ...data }
	})
};
//预警记录-预案详情
export const laboratoryEventFindByEventId = (data) => {
	return apiResquest({
		url: `/laboratory/event/findByEventId`,
		method: 'get',
		data: { ...data }
	})
};
//进出记录-实验室列表
export const laboratoryAppletSignSubList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/signSubList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-列表
export const laboratoryAppletPassOutList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/passOutList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-照片列表
export const laboratoryAppletPhotoInspectList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/photoInspectList`,
		method: 'POST',
		data: { ...data }
	})
};